Subject: PPC_OCP and ppc_sys problem while running kernel2.6 on ML403

From: [email-masked]
Date: Tue, 08 May 2007 19:45:01 -0700

Hi, all 
    I met the CONFIG_PPC_OCP related problem while running  MontaVista linux based on kernel 2.6.17 on Xilinx ML403.I have been confused with some questions about CONFIG_PPC_OCP and ppc_sys.Any reply from anyone is appreciate.
    From which version did the kernel.org tree stop using the OCP infrastructure and begin to use the ppc_sys infrastructure?Why did this change occur?what disadvantages dose the OCP infrastructure have?
    The LSP generated by EDK is still using the OCP infrastructure,so when it overwrites the kernel,mistakes happen.Is there any BSP version using ppc_sys which can solve the OCP problem?
    Also,the ppc_sys dosen't seem to support Virtex board well because I saw most patches supplied drop both ppc_ocp and ppc_sys.What disadventages dose ppc_sys have?Is patching the only method to solve this problem?
    Are there any patches supporting 2.6.17?
    Expect your reply,thanks!
                                                                                                                                                                 linyao